summaryrefslogtreecommitdiff
path: root/dev-python/cffi/cffi-0.8.6.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/cffi/cffi-0.8.6.ebuild')
-rw-r--r--dev-python/cffi/cffi-0.8.6.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/cffi/cffi-0.8.6.ebuild b/dev-python/cffi/cffi-0.8.6.ebuild
new file mode 100644
index 00000000..0970f977
--- /dev/null
+++ b/dev-python/cffi/cffi-0.8.6.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+PYTHON_COMPAT=( python{2_7,3_2,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Foreign Function Interface for Python calling C code"
+HOMEPAGE="http://cffi.readthedocs.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="doc"
+
+RDEPEND="virtual/libffi
+ dev-python/pycparser[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_test() {
+ py.test -x -v --ignore testing/test_zintegration.py c/ testing/ || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use doc && dohtml -r doc/build/
+}